<?php

$token = $_GET["t"];

if (!$token || empty($token) || is_null($token) || strlen($token) < 20) {
    header('Location: ./404');
    return false;
}

$tokenDecode = base64_decode($token);
list($email, $id, $expire) = explode(":", $tokenDecode);
$timestamp = round(microtime(true) * 1000);

if ($timestamp > $expire) {
    header('Location: ./404');
    return false;
}
